<?php
/**************************************************************************/
//下記の項目を設定してください。
/**************************************************************************/

    // 管理パスワード（必ず書き換えてください）
	define(admin_password , '1234');

    // あなたのHPのタイトル(アンカーリンクタグになります)
	define(site_title , "相互リンクSeo-P-link Ver3.5");

    // あなたのHPのURL(相互リンク先になります)
	define(site_url , "http://exsample.com/");
	
	// このリンク集のタイトル
	define(linkpage_title , "相互リンクSeo-P-link設置サンプル");
	
	// このリンク集の設置URL
	define(linkpage_url , "http://exsample.com/");

	// このリンク集の説明(トップページのdescriptionタグ、及び、相互リンク時に相手に表示する説明文になります。)
	define(description , "相互リンク自動チェック機能を搭載し、相互リンクを削除しているサイトをリストから除外する機能をつけたSEOに最適なPHPスクリプトです。"); 

	// 登録時の画像認証文字(半角英数字のみ 約15文字以内)
	define(image_auth , "tetetest123456");

/**************************************************************************/
//オプションの項目をです。
//そのままの設定でも動きますので、変更したい方のみ変更してください。
/**************************************************************************/
    // 画像認証する
	// 値が 0=しない　1=する
    define(image_authcheck , 1);

    // 登録サイトがトップページに相互リンクを設置してくれた場合、各カテゴリで優先に上位表示する
	// 値が 0=しない　1=する
    define(list_data_m1 , 1);


    // ゲスト登録可の各カテゴリ1ページあたりの表示件数
    define(list_page , 20);
	
    // ゲスト登録不可の各カテゴリ1ページあたりの表示件数
	// こちらが相互リンクを設置して、申請する際に使います
	define(list_page_admin , 100);

    // 説明文の長さ制限（全角**文字以内）
	define(captionlimit , 100);
	
	// 説明文の改行制限（行**文字以内）
	define(rawlimit , 3);
	
	// サイト名の長さ制限（全角**文字以内）
	define(namelimit , 25);
	
	// URLの長さ制限（半角**文字以内）
	define(urllimit , 80);
	
	// トップページの新着表示件数
	define(new_list , 20);

	// RSSの表示件数
	define(rss_list , 20);

    // 管理画面の最新ニュース表示(iframeによる公式サイト読み込みになります)
    // セキュリティーを気にされる場合は「0=しない」にしてください。
    // 値が 0=しない　1=する
	define(admin_news , 1);

    // 管理画面でページランクを表示するか
    // セキュリティーを気にされる場合は「0=しない」にしてください。
    // 値が 0=しない　1=する
	define(pagerank , 1);

    // 管理画面で管理人登録サイトのリンクチェックを行うか
    // 値が 0=しない　1=する
	define(admin_linkcheck , 0);

    // APIを使ったリンクチェックを行うか
	// http://investincorby.com/
    // 値が 0=しない　1=する
	define(api_linkcheck , 1);

    // 管理画面で「リンクチェック更新」を押した際の動作

		// 一度に相互リンクチェックする数(件)
		define(admin_linkcheck_number , 10);

		// 自動でチェックするかどうか
		// 値が 0=しない　1=する
		define(admin_linkcheck_auto , 1);

		// 自動でチェックする際に画面が切り替わる時間(秒)
		define(admin_linkcheck_time , 5);


	// 管理画面削除時にNGサイトリスト追加のチェックボックスデフォルト状態
    // 値が 0=追加しない　1=追加する
	define(ad_nglistfile , "1");

	// NGHOST（拒否したい登録者のホストの一部、又は全部を半角の「,」で区切って指定）
	// 良くわからない場合は設定をいじらないでください。
	define(nghost , "spammail.com,spambot.com");

	// NGHOST（拒否したい登録者のIPアドレスの一部、又は全部を半角の「,」で区切って指定）
	// 良くわからない場合は設定をいじらないでください。
	// 例 : 127.0.0,192.168 等
	define(ngipaddr , "000.000.000.000,000.000.000.001");

	// NGワード（説明文に使われたくない言葉を、半角の「,」で区切って指定）
	define(ngword , "氏ね,死ね,ばか");

	// NGサイト名（拒否したいサイト名の一部、又は全部を半角の「,」で区切って指定）
	define(ngname , "有限会社スパム,迷惑ドットコム");
	
	// NGURL（拒否したいURLの一部、又は全部を半角の「,」で区切って指定）
	define(ngurl , "zoozle.jp,fc2.com,seesaa.net,dtiblog.com,ame-zaiku.com,ari-jigoku.com,bake-neko.net,bakufu.org,biroudo.jp,butanishinju.com,chagasi.com,chikouyore.com,chimanako.net,choitoippuku.com,chottu.net,dayuh.net,dokkoisho.com,dotera.net,doumeki.com,edo-jidai.com,ehoh.net,futene.net,ganriki.net,gionsyouja.com,gosyuugi.com,hanabie.com,hanagasumi.net,hannnari.com,hiroimon.com,hisyaku.com,horemitakotoka.com,houkou-onchi.com,ho-zuki.com,ichiya-boshi.net,iinaa.net,iiyudana.net,ikidane.com,imawamukashi.com,imodurushiki.com,ina-ka.com,is-mine.net,iza-yoi.net,jyoukamachi.com,kacchaokkana.com,kachoufuugetu.net,kagechiyo.net,kakukaku-sikajika.com,kasabuta.net,kasajizo.com,kenkenpa.net,kesagiri.net,kibisuwokaesu.com,kinbyoubu.com,kinugoshi.net,koborezakura.com,konjiki.jp,maiougi.com,ma-jide.com,makibisi.net,mameshibori.net,manjushage.com,mitarashidango.com,mizusasi.net,monogoshi.com,moraimon.com,moutounai.com,nagesen.net,nekonikoban.org,nemachinotsuki.com,nemiminimizu.com,nigamushi.net,ninja-web.net,noppikinaranu.com,nukarumi.net,obihimo.com,obijime.net,odaikansama.com,ofuregaki.com,ohitashi.com,ohyakudo-mairi.com,oiran.org,okoshi-yasu.net,okunohosomichi.net,omegumi.com,onasake.com,ongaeshi.biz,onushimowaruyonou.com,ooban-koban.com,oteage.net,otodo.net,sannasubi.com,sara-yashiki.com,sengoku-jidai.com,sensyuuraku.com,sessya.net,shakunage.net,shikisokuzekuu.net,shime-saba.com,shimo-yake.com,shirikakusazu.com,shironuri.com,shisyou.com,shiteyattari.com,siromuku.com,sokushinbutsu.com,soragoto.net,soudesune.net,suki-ari.net,sukimakaze.com,syarasoujyu.com,syogyoumujou.com,takara-bune.net,tenohiragaeshi.com,tobiiro.jp,tyanoyu.net,tyonmage.com,ukime.org,undeinosa.com,untokosho.com,usunuri.com,uunyan.com,warabimochi.net,warabuki.net,waremowaremoto.com,wa-sanbon.com,yahansugi.com,yakiin.net,yangotonaki.com,yohamanzokuja.com,yokochou.com,yomibitoshirazu.com,yukimizake.net,yumenogotoshi.com,zatunen.com,tuzikaze.com,yu-yake.com,choumusubi.com,yokinihakarae.com,kagebo-shi.com,iaigiri.com,gouketu.com,kumadori.com,michikusa.jp,syoutikubai.com,hatiju-hatiya.com,oboroduki.com,tamajiri.com,cyber-ninja.jp,gozaru.jp,ohugi.com,rakugan.com,tsunokakushi.com,suppa.jp,tonosama.jp,karou.jp,cho-chin.com,shidareyanagi.com,yaekumo.com,nobody.jp,konohashigure.com,yamanoha.com,ohaguro.com,makibishi.jp,turubeotoshi.com,nabebugyou.com,amigasa.jp,atukan.com,chakin.com,ikaduchi.com,ninpou.jp,yakigote.com,tsuchigumo.com,gamagaeru.jp,goemonburo.com,tumabeni.com,higoyomi.com,komusou.jp,obunko.com,tyabo.com,momijioroshi.com,gejigeji.jp,kemuridama.com,mikosi.com,tutakazura.com,hanamizake.com,darumaotosi.com,kyarame.com,hishaku.com,kirisute-gomen.com,wakatono.jp,hariko.com,tuzigiri.com,karakuri-yashiki.com,osonae.com,syanari.com,chitosedori.com,mukade.jp,hahaue.com,ninja-mania.jp,genin.jp,kurushiunai.jp,hujibakama.com,zashiki.com,kusakage.com,yukishigure.com,xxxxxxxx.jp,tirirenge.com,jounin.jp,aikotoba.jp,shinobiashi.com,koiwazurai.com,onmitsu.jp,suichu-ka.com,kimodameshi.com,yukigesho.com,byoubu.com,uijin.com,tubakurame.com,jougennotuki.com,zouri.jp,kuchinawa.com,huruike.com,hanagumori.com,karakasa.com,mizubasyou.com,soregashi.com,enokorogusa.com,hatagashira.com,yakiuchi.com,hiyamugi.com,shiriagari.com,kutinawa.com,moryou.com,kagennotuki.com,bokunenjin.com,nengu.jp,garyoutensei.com,tanmono.com,ifdef.jp,karamatu.com,sonnabakana.com,ojaru.jp,ebo-shi.com,ootugomori.com,kanpaku.jp,turukusa.com,husuma.com,nomaki.jp,kakurezato.com,client.jp,okoshi-yasu.com,omiki.com,kitunebi.com,nukenin.jp,toumoku.com,yamagomori.com,akazunoma.com,tiyogami.com,tudura.com,ashigaru.jp,shichihuku.com,inukubou.com,kaginawa.jp,turigane.com,at-ninja.jp,tabigeinin.com,huuryuu.com,buzama.com,harisen.jp,okitsune.com,jorougumo.com,otoshiana.com,kanashibari.jp,namidaame.com,bufsiz.jp,onushi.com,kusarikatabira.jp,sankinkoutai.com,namekuji.jp,donburako.com,yukihotaru.com,jakou.com,nukimi.com,o-oku.jp,the-ninja.jp,yu-nagi.com,ohuda.com,goraikou.com,kumogakure.com,gokenin.com,izakamakura.com,otogirisou.com,syuriken.jp,sodenoshita.com,sokowonantoka.com,sarashi.com,hagewasi.com,himegimi.jp,hebiichigo.com,amearare.com,nusutto.jp,syakuhati.com,ninja-x.jp,ushimairi.com");

	// 登録リストファイル(通常は変更の必要はありません)
	define(listfile , "./data/list.dat");
	
	// カテゴリーファイル(通常は変更の必要はありません)
	define(categoryfile , "./data/category.dat");

	// NGサイトリスト(通常は変更の必要はありません)
	define(nglistfile , "./data/nglist.dat");
?>